<?php

namespace App\Classes\Modules\FreightForwarder\DataTransferObjects;


class CustomerRelationObject
{
    /** @var  int */
    private $forwarderId;

    /** @var  int */
    private $companyId;

    /** @var  float */
    private $customer_rate;

    /** @var  bool */
    private $wave;

    /**
     * CustomerRelationObject constructor.
     * @param int $forwarderId
     * @param int $companyId
     * @param float $customer_rate
     * @param bool $wave
     */
    public function __construct(int $forwarderId, int $companyId, float $customer_rate, bool $wave = false)
    {
        $this->forwarderId = $forwarderId;
        $this->companyId = $companyId;
        $this->customer_rate = $customer_rate;
        $this->wave = $wave;
    }

    /**
     * @return int
     */
    public function getForwarderId(): int
    {
        return $this->forwarderId;
    }

    /**
     * @return int
     */
    public function getCompanyId(): int
    {
        return $this->companyId;
    }

    /**
     * @return float
     */
    public function getCustomerRate(): float
    {
        return $this->customer_rate;
    }

    /**
     * @return bool
     */
    public function isWave(): bool
    {
        return $this->wave;
    }







}